Bug 120819 - Update port: math/fityk to 0.8.4
Summary: Update port: math/fityk to 0.8.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-02-18 18:10 UTC by tkato432
Modified: 2008-03-21 11:50 UTC (History)
0 users

See Also:


Attachments
file.diff (3.05 KB, patch)
2008-02-18 18:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2008-02-18 18:10:03 UTC
- Update to version 0.8.4

New file:
files/patch-xylib__xylib__util.cpp
Comment 1 Martin Wilke freebsd_committer 2008-02-18 18:10:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2008-02-19 07:14:29 UTC
State Changed
From-To: open->feedback

Hi, The port does not build. Can you take a look at it? 


http://head.miwibox.org/tb/index.php?action=describe_port&id=1061 
http://amd64.miwibox.org/tb/index.php?action=describe_port&id=1001 

- Martin
Comment 3 tkato432 2008-03-18 14:38:43 UTC
Version 0.8.5 has been released.


diff -urN /usr/ports/math/fityk/Makefile math/fityk/Makefile
--- /usr/ports/math/fityk/Makefile	2007-12-15 05:11:39.000000000 +0900
+++ math/fityk/Makefile	2008-03-18 23:35:04.000000000 +0900
@@ -7,7 +7,7 @@
 #
 
 PORTNAME=	fityk
-PORTVERSION=	0.8.2
+PORTVERSION=	0.8.5
 CATEGORIES=	math
 MASTER_SITES=	SF
 
@@ -15,7 +15,6 @@
 COMMENT=	Free peak fitting software
 
 BUILD_DEPENDS=	gnuplot:${PORTSDIR}/math/gnuplot
-LIB_DEPENDS=	boost_thread.4:${PORTSDIR}/devel/boost
 RUN_DEPENDS=	gnuplot:${PORTSDIR}/math/gnuplot
 
 USE_BZIP2=	yes
@@ -25,7 +24,6 @@
 USE_GMAKE=	yes
 USE_AUTOTOOLS=	libtool:15
 CONFIGURE_ENV=	CPPFLAGS="${CPPFLAGS}" LDFLAGS="${LDFLAGS}"
-CONFIGURE_ARGS=	--disable-3rdparty
 USE_LDCONFIG=	yes
 
 MAN1=		fityk.1
diff -urN /usr/ports/math/fityk/distinfo math/fityk/distinfo
--- /usr/ports/math/fityk/distinfo	2007-12-15 05:11:39.000000000 +0900
+++ math/fityk/distinfo	2008-03-18 23:35:04.000000000 +0900
@@ -1,3 +1,3 @@
-MD5 (fityk-0.8.2.tar.bz2) = fc0fb1571f17f4415026193e8fb2ba38
-SHA256 (fityk-0.8.2.tar.bz2) = ec8782be043603dda6ddc5c34b5d0d5da5f1c603bbcb3fdeab75743c21602a4b
-SIZE (fityk-0.8.2.tar.bz2) = 1332533
+MD5 (fityk-0.8.5.tar.bz2) = aab1891c6b14ebea1675069d1795957f
+SHA256 (fityk-0.8.5.tar.bz2) = c96769d6c51387a7ec51c48ffa1ee0a730fdc78086796552a0f3744630d2d658
+SIZE (fityk-0.8.5.tar.bz2) = 1390987
diff -urN /usr/ports/math/fityk/pkg-plist math/fityk/pkg-plist
--- /usr/ports/math/fityk/pkg-plist	2007-12-15 03:45:47.000000000 +0900
+++ math/fityk/pkg-plist	2008-03-18 23:35:04.000000000 +0900
@@ -1,15 +1,67 @@
 bin/cfityk
 bin/fityk
+include/fityk/brucker_raw.h
+include/fityk/canberra_mca.h
+include/fityk/cpi.h
+include/fityk/dbws.h
+include/fityk/gsas.h
+include/fityk/pdcif.h
+include/fityk/philips_raw.h
+include/fityk/philips_udf.h
+include/fityk/riet7.h
+include/fityk/rigaku_dat.h
+include/fityk/text.h
+include/fityk/uxd.h
+include/fityk/vamas.h
+include/fityk/winspec_spe.h
+include/fityk/xfit_xdd.h
+include/fityk/xylib.h
 include/fityk.h
 lib/libfityk.a
 lib/libfityk.la
 lib/libfityk.so
 lib/libfityk.so.0
+lib/libxy.a
+lib/libxy.la
+lib/libxy.so
+lib/libxy.so.0
 share/applications/fityk.desktop
-%%DATADIR%%/fitykhelp.htb
+%%DATADIR%%/fitykhelp.html
+%%DATADIR%%/fitykhelp_img/2theta.png
+%%DATADIR%%/fitykhelp_img/LoweMa.png
+%%DATADIR%%/fitykhelp_img/a3pearson.png
+%%DATADIR%%/fitykhelp_img/a3psvoigt.png
+%%DATADIR%%/fitykhelp_img/chi2.png
+%%DATADIR%%/fitykhelp_img/doniachs.png
+%%DATADIR%%/fitykhelp_img/emg.png
+%%DATADIR%%/fitykhelp_img/gauss_example.png
+%%DATADIR%%/fitykhelp_img/gaussian.png
+%%DATADIR%%/fitykhelp_img/gaussiana.png
+%%DATADIR%%/fitykhelp_img/lorentzian.png
+%%DATADIR%%/fitykhelp_img/lorentziana.png
+%%DATADIR%%/fitykhelp_img/modtchpv.png
+%%DATADIR%%/fitykhelp_img/note.png
+%%DATADIR%%/fitykhelp_img/pearson7.png
+%%DATADIR%%/fitykhelp_img/pearson7a.png
+%%DATADIR%%/fitykhelp_img/polynom5.png
+%%DATADIR%%/fitykhelp_img/pseudo_voigt.png
+%%DATADIR%%/fitykhelp_img/pseudo_voigta.png
+%%DATADIR%%/fitykhelp_img/sigma.png
+%%DATADIR%%/fitykhelp_img/splitgaussian.png
+%%DATADIR%%/fitykhelp_img/splitpearson7.png
+%%DATADIR%%/fitykhelp_img/sum_f.png
+%%DATADIR%%/fitykhelp_img/sum_f_x_z.png
+%%DATADIR%%/fitykhelp_img/voigt.png
+%%DATADIR%%/fitykhelp_img/voigt2.png
+%%DATADIR%%/fitykhelp_img/voigta.png
+%%DATADIR%%/fitykhelp_img/w_1_sigma.png
+%%DATADIR%%/fitykhelp_img/z_x_a.png
+%%DATADIR%%/html.css
 share/mime/packages/fityk.xml
 share/pixmaps/fityk.png
+@dirrm %%DATADIR%%/fitykhelp_img
 @dirrm %%DATADIR%%
 @dirrmtry share/applications
+@dirrm include/fityk
 @exec %%LOCALBASE%%/bin/update-mime-database %D/share/mime
 @unexec %%LOCALBASE%%/bin/update-mime-database %D/share/mime
Comment 4 dfilter service freebsd_committer 2008-03-21 11:40:18 UTC
miwi        2008-03-21 11:40:11 UTC

  FreeBSD ports repository

  Modified files:
    math/fityk           Makefile distinfo pkg-plist 
  Log:
  - Update to 0.8.5
  
  PR:             120819
  Submitted by:   Ports Fury
  
  Revision  Changes    Path
  1.24      +1 -3      ports/math/fityk/Makefile
  1.15      +3 -3      ports/math/fityk/distinfo
  1.4       +53 -1     ports/math/fityk/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Martin Wilke freebsd_committer 2008-03-21 11:40:25 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!